diff --git a/src/common/interface.c b/src/common/interface.c
index b84c7fdf..c4b159cf 100644
--- a/src/common/interface.c
+++ b/src/common/interface.c
@@ -54,19 +54,15 @@ get_interface(interface_list_t *list, const char *alias)
 
     assert(alias);
 
-    if (list != NULL) {
-        ptr = list;
-
-        do {
-            /* check both the alias & name fields */
-            if (strcmp(alias, ptr->alias) == 0)
-                return(ptr->name);
+    ptr = list;
 
-            if (strcmp(alias, ptr->name) == 0)
-                return(ptr->name);
+    while (ptr) {
+        /* check both the alias & name fields */
+        if (strcmp(alias, ptr->alias) == 0 ||
+                strcmp(alias, ptr->name) == 0)
+            return(ptr->name);
 
-            ptr = ptr->next;
-        } while (ptr != NULL);
+        ptr = ptr->next;
     }
 
     return(NULL);
